[Bug 538242] [NEW] Sync tcsh 6.17.00-2 (universe) from Debian unstable (main)

Lucas Nussbaum lucas at lucas-nussbaum.net
Fri Mar 12 20:06:39 GMT 2010


Public bug reported:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/tcsh
 status confirmed
 importance wishlist
 subscribe ubuntu-archive
 done

Please sync tcsh 6.17.00-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
I took over the tcsh maintenance in Debian, which was in a pretty poor state
(no maintainer for 3+ years). The package I uploaded is based on the new
upstream version, which has been extensively tested by several tcsh users.

Even if, of course, that breaks the principle of "we know which problems we
have with 6.14, not the new ones we will have with 6.17", I think that using
6.17 in Ubuntu will be much easier to support. Also, I'm keeping track of the
status of the package in Ubuntu, so I would be able to fix problems (possibly
by doing another sync) before the lucid release.

The local change in Ubuntu is just a backport of an upstream change that is
included in 6.17. It can be dropped.

Note that I might upload a 6.17.00-3 package before that sync request is
processed. The changes in that version will be bugfixes only, and they will be
suitable for syncing to Ubuntu.

Changelog entries since current lucid version 6.14.00-7ubuntu1:

tcsh (6.17.00-2) unstable; urgency=low

  * Upload to unstable
  * Change priority (agree with ftpmasters): standard->optional.
  * Add Vcs-* control fields
  * 11_j-prompt.dpatch: remove, no longer needed.
  * 08_read.dpatch: removed, no longer needed.
  * add disable-broken-test.patch: disable a test in lexical.at
  * Run test suite, and cleanup after that
  * disable-test-notty.patch: disable tests that fail when not running
    with a tty.

 -- Lucas Nussbaum <lucas at lucas-nussbaum.net>  Mon, 08 Mar 2010 22:31:17
+0100

tcsh (6.17.00-1) experimental; urgency=low

  * Adopt package. Closes: #571697
  * New upstream release. Closes: #522071, #452219
  * Switch to quilt from dpatch.
  * Update patches:
    + Refreshed:
      - 06_man
      - 01_build
      - 07_nls
      - 10_hurd
      - 12_unknown_lscolors
    + Merged upstream or no longer needed, dropped:
      - 03_expand
      - 04_termh
      - 05_termnames
      - 09_readinval
      - 13_tcsh.old
    + Need more investigation:
      - 02_fix
      - 08_read
      - 11_j-prompt
  * Bump debhelper compat level to 7
  * Build-depend on debhelper >= 7 ; add misc:Depends
  * Drop tcsh-kanji dummy package. Closes: #471033, #471034, #477542
  * Switch to standard Homepage field
  * No need to create usr/sbin
  * Switch to dh
  * Standards-Version bumped to 3.8.4. No additional changes needed
  * Change menu section from Apps to Applications
  * Add README.source
  * Add 15_no-strip.patch: do not strip binaries

 -- Lucas Nussbaum <lucas at lucas-nussbaum.net>  Tue, 02 Mar 2010 08:55:03
+0100

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)

iD8DBQFLmp7O2hliNwI7P08RAhkoAJ0V2C1QVgtAqQSdZS2Co1VdPI7ADQCgnNh5
hW0fzrfZZFF8LrtNaC1WyWk=
=q+AD
-----END PGP SIGNATURE-----

** Affects: tcsh (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

-- 
Sync tcsh 6.17.00-2 (universe) from Debian unstable (main)
https://bugs.launchpad.net/bugs/538242
You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is a direct subscriber.



More information about the ubuntu-archive mailing list